●Beta 2版 2007/1/21 SofiyaCat
更新履歴
  System関連
   ・同じステータスにChangeStateした場合、PrevStateNoが更新されていなかったのを修正
   ・ヘルパが床に反射していた不具合を修正
   ・Juggleポイントの計算が間違っていたのを修正
   ・MoveHitなどの更新タイミングを修正
   ・ラウンドスタート時の「Round 1」「Fight!」などのデフォルトレイヤを修正
   ・ステージの"debugbg"を実装
   ・ステージの"bgclearcolor"を実装
   ・影を描画しないときは、反射も描画しないように修正
   ・キャラクタcnsファイル、sizeセクションのxscale,yscaleで値が負の場合の挙動を修正
   ・コリジョン計算が間違っていたのを修正
   ・"IngnoreHitPause=0"のときHitPause中に処理を行っていた不具合を修正
   ・特殊ステート-3,-2でChangeStateが実行された場合、処理を中断し次のステートに
     遷移するように修正
   ・2ラウンド目以降のKO表示などのアニメが初期化されていなかったのを修正
   ・トレーニングモードでのライブバーの復活が早かったのを修正
   ・コンフィグファイルの「Config - GameSpeed」を実装
   ・コンフィグファイルの「Config - DrawShadows」を実装
   ・コンフィグファイルの「Config - AfterImageMax」を実装
   ・コンフィグファイルの「Debug - Debug」を実装
   ・コンフィグファイルの「Debug - AllowDebugMode」を実装
   ・コンフィグファイルの「Debug - AllowDebugKeys」を実装
   ・コンフィグファイルの「Debug - Speedup」を実装(FirstRunと勘違いしてたのは秘密です)
   ・コンフィグファイルの「Misc - UnloadSystem」を実装
   ・コンフィグファイルの「Misc - BufferedRead」を実装
   ・コンフィグファイルの「Option - WavVolume」を実装(効果音の音量)
   ・コンフィグファイルの「Option - MidiVolume」を実装（MidiだけどBGMの音量）
   ・キー「Pause(F11)」(ポーズ)を実装。Pauseキーの挙動がおかしいので、「F11」でもポーズ可
   ・キー「Scroll Lock」(コマ送り)を実装
   ・キー「F12」(スクリーンショット)を実装
   ・デバッグキー「F2」(すべての生きているキャラクタのライフを１に設定)を実装
   ・デバッグキー「Ctrl-F2」(チームサイド１の生きているキャラクタのライフを１に設定)を実装
   ・デバッグキー「Shift-F2」(チームサイド２の生きているキャラクタのライフを１に設定)を実装
   ・デバッグキー「F3」(すべての生きているキャラクタのパワー満タン)を実装
   ・デバッグキー「F5」(時間を０に設定)を実装
   ・デバッグキー「Ctrl-L」(ライフバー、パワーバーなどの表示/非表示切り替え)を実装
   ・デバッグキー「Ctrl-D」(デバッグ情報表示／非表示切り替え)を実装
   ・デバッグキー「Ctrl-C」(コリジョン情報表示／非表示切り替え)を実装
   ・デバッグキー「Space」(すべての生きているキャラクタのライフ、パワー満タン、時間リセット)を実装
   ・ストーリーボードでAirのオフセット指定、反転が動作していなかったのを修正
   ・ストーリーボードのフェードイン／アウトを実装
   ・タイトル画面のフェードイン／アウトを実装
   ・タイトル画面から終了するときのSEが間違っていたのを修正
   ・キャラクタ選択画面のフェードイン／アウトを実装
   ・ステージ選択、決定時に効果音が鳴っていなかったのを修正
   ・VS画面のフェードイン／アウトを実装
   ・VS画面をキャンセルした場合、前の画面に戻らずゲームが始まっていた不具合を修正
   ・Projectile解放時、クラッシュすることがあったのを修正
   ・デモモードを実装
   ・キャラクタ選択、VS画面の読み込みを軽減
   ・サンプリングレートが44100Hz,22050Hz,11025Hz以外の場合、再生する音がおかしくなっていたのを修正
     (SDLいい加減対応して欲しい…)
   ・ステージの影の計算を修正。しかし、まだ充分ではないです。
   ・キャラクタ選択画面で、読み込みに失敗したキャラクタをセルに登録していなかった不具合を修正
   ・ランダムセレクトセルで、空セルが多かった場合、キャラクタの選択に失敗する場合があるのを修正
   ・showemptyboxesの扱いを勘違いしていたのを修正
   ・moveoveremptyboxesの扱いを勘違いしていたのを修正
   ・ランダムセレクトセルでキャラクタを選択した場合、クラッシュしていたのを修正
   ・Combo表示でtext中に%iなどがあった場合の処理が正常に動作していなかったのを修正
   ・Powerのカウンターが表示されていなかったのを修正
   ・ハイレゾ時、フォントやスプライトなどの位置がずれていたのを少し修正
   ・新しいレンダリングエンジンがメモリを破壊していたので、急遽古いのに(最適化していない)のに変更
   ・サウンドのサンプリングを変更する際に、補完も何もしていなかったのを反省。線形補完するように修正。
   ・ストーリーボードをEscキーや方向キーでもキャンセルできるように修正
   ・簡易Win画面を実装
   ・コンティニュー画面(画面のみで、まだコンティニューできません。)
  トリガ
   ・Power,PowerMaxがヘルパから使われたとき、正常な値を返していなかったのを修正
   ・AnimElemを修正
   ・GameTimeがPause/SuperPause時に止まっていた不具合を修正
  ステートコントローラ
   ・BGPalFxにてBGがPause状態の場合、BGPalFxの処理も中断されていた不具合を修正
   ・ParentVarAdd, ParentVarSet, VarAdd, VarSet, RootVarAdd, RootVarSet
       SysFVar関連の処理が実装されていなかったのを修正
   ・Explod
     ・PosType=p2かつBindTime有効でExplodを作った親がいなくなった場合、正常に
       位置が計算されていなかったのを修正
     ・shadowパラメータが省略されていた場合、ステージの影設定をつかっていたのを修正
   ・EnvColor
     ・動作していなかったのを修正
     ・Under時にキャラクタの影、反射、Fight(layerno=0)関連が描画されていたのを修正
   ・Trans
     ・Trans = AddAlphaA時にAlphaが省略された場合の挙動をNoneに修正
   ・AngleDraw
     ・Airのエフェクトが有効になっていたのを修正
     ・スケーリングの計算が間違っていたのを修正
   ・AngleSet
     ・値を設定するときにラジアンにするのを忘れてた不具合を修正
   ・Offset
     ・キャラクタcnsファイル、sizeセクションのdraw.offsetを考慮していなかったのを修正
     ・1フレームのみ有効なのに効果が永続していたのを修正
   ・Explod
     ・キャラクタcnsファイル、sizeセクションのdraw.offsetを考慮していなかったのを修正
     ・キャラクタのoffsetを考慮していなかったのを修正
   ・Helper
     ・size.xscale、size.yscaleで大きさを変えた場合、コリジョンまで大きさが
       変わっていたのを修正
     ・Playerタイプの場合、特殊ステート-3,-2を処理していなかったのを修正
   ・AfterImage
     ・攻撃がヒットすると効果が切れていたのを修正
     ・時間切れで残像が消えるとき、一度にすべての残像が消えていたのを修正
     ・残像の数が1つ多かったのを修正
   ・Pause
     ・Pauseにてmovetimeが使われていた場合のスクリプトの実行タイミングを修正
       ToDo)しかし、アニメフレームがずれる(1フレーム時間が進んでしまう)バグが残っている
   ・SuperPause
     ・Volume、Channelプロパティを新規追加
   ・PlaySnd
     ・Volumeプロパティを実装
  StConv.exe
   ・ステートコントローラのSysFVar関連の処理を追加
   ・Widthステートコントローラにて、第2パラメータが省略された場合エラーに
     なっていたのを修正
   ・文字列にシステム定義文字列が使用されていた場合、字区解析に失敗する不具合を修正
   ・Nullステートコントローラで、プロパティをエラーとして処理していたのをやめ、
     無視するように修正
   ・AnimElemの構文解析を"AnimElem <= expr"などの記述ができるように修正
   ・AnimElemの構文解析を"AnimElem(expr) = expr"の記述ができるように修正
   ・後置論理否定演算子を実装
       例) !0! と記述した場合、!(0!)と評価されます。
   ・SndExistトリガ、AILevelトリガ、SetPixcelステートコントローラ、
     DrawLine/DrawBoxステートコントローラを新規追加
   ・SuperPauseステートコントローラにVolume、Channelプロパティを新規追加

●Beta版 2006/12/31 SofiyaCat
更新履歴
  System関連
   ・mugen.cfgファイルの読み書きを実装
   ・コンフィグ関連 下記のコンフィグに対応しました
     ・Options - Time
     ・Default.Attack.LifeToPowerMul - Rules
     ・Default.GetHit.LifeToPowerMul - Rules
     ・Sound - Sound Linux
     ・FullScreen - Video Linux
     ・BlitMode - Video Linux
     ・ビデオモードに少し対応
       画面サイズ： Width x Height 320x240,640x480,1280x960
       拡大フィルタ: DoubleRes 0 - off        すべての画面サイズで使用可能
                               1 - Super2xSaI 640x480のみ使用可能
                               2 - 未実装
                               3 - horizontal scanlines すべての画面サイズで使用可能
                               4 - 未実装
   ・Fontで"["の文字を定義していると異常終了する不具合を修正
   ・未定義のFontを使用しようとすると異常終了する不具合を修正
   ・ストーリーボードをスキップできるように修正
   ・タイトル画面モード選択メニューカーソルでカーソルのサイズが指定されていな
     かった場合、メニュー項目より計算して設定するように修正
   ・タイトル画面モード選択メニューを全般的に修正
   ・VS画面でBig portraits、Nameのレイヤ指定に対応
   ・RoundおよびFight表示で、アニメが使われていた場合すぐに終了してしまう不具合を修正
   ・サウンドの再生されるタイミングがずれていたのを修正
   ・ASSIGN演算子でリダイレクションが行われていなかったのを修正
   ・リダイレクションenemy(n)が正常に動作していなかったのを修正
   ・リダイレクションenemynear(n)が正常に動作していなかったのを修正
   ・リダイレクションhelper(id)にてidのヘルパが見つからなかった場合、
     最初にみつかったヘルパで処理するように修正
   ・リダイレクションの処理がうまく動作しないときがあるのを修正
   ・ASSIGN演算子の処理を修正
   ・スクリプトの実行タイミングを修正
   ・Explodの処理が１フレームずれていたのを修正
   ・Explod、ModifyExplodのAnimNoにFightFXリソースを指定した場合正常に
     動作していなかったのを修正
   ・Pause/SuperPause時の実行タイミングを修正
   ・キャラクタ名の表示がキャラクタ名になっていたのを修正
   ・同じ優先順位のスプライトの場合、後に作られたものを上に描画するように修正
   ・"Round %i" "%s Wins"を修正
   ・メモリ分断化の軽減
   ・コマンド入力解析部分を書きなおして高速化
   ・StateDefを拡張
   ・Playerリダイレクションを実装
   ・Helper/Projectile/Explod作成に失敗しても落ちないように修正
   ・ストーリーボード描画時に落ちるのを修正
   ・ストーリーボード描画時にレイヤの位置がおかしくなるのを修正
   ・Projectileの描画がステージに反射していたのを修正
   ・実験：ステージスクリプトの実験中
  System関連(PSP)
   ・レンダリングエンジンを最適化
   ・PalFx関連のパレット演算の最適化
   ・SuperPauseのdarken時の描画を修正
   ・ワークメモリをVRAMから取得するように変更
   ・基本演算(マトリックスやベクトル関連)部分の最適化
   ・読み込みの高速化
   ・キャラクタ読み込みの際、メモリ不足でフリーズしていたのを修正。
     ただしスプライトの描画はされません。
  ステートコントローラ
   ・PlayMusic,StopMusicを新規追加
   ・NULLステートコントローラにて、Triggerの評価が行われていなかったのを修正
   ・Explodeステートコントローラで、ポーズ、スーパーポーズ中にremovetimeが正常に
     動作していなかったのを修正
   ・TargetDropを実行する前に実行していたTargetBindが有効になっていたバグを修正
   ・Projectileのクリッピングが間違っていたのを修正
   ・Projectileのスケーリングが行われていなかったのを修正
   ・SetCommandでランダムコマンドの場合の処理が間違っていたのを修正
   ・SprPriorityを拡張
  トリガ
   ・RoundMax,FinalRound,PlayingSnd,PlayingMusicを新規追加
   ・atan2,atof,atoi,cosh,fmod,sinh,sqrt,tanh,clamp,max,min,lerp,ftoa,itoa
     RandomPick,Cameraを新規追加
  StConv.exe
   ・defファイルにAIがあった場合、変換に失敗するのを修正
   ・PlayMusic,StopMusicステートコントローラを新規追加
   ・RoundMax,FinalRound,PlayingSnd,PlayingMusicトリガを新規追加
   ・NULLステートコントローラにて、Triggerの評価が行われていなかったのを修正
   ・リダイレクションの処理がうまく動作しないときがあるのを修正
   ・ProjHitTime, ProjContactTime, ProjGuardedTimeの字句解析に失敗していたのを修正
   ・アニメを指定するときのリソース指定(S,F等)の字句解析を修正
   ・知らないプロパティがあっても変換を中断しないように修正
   ・atan2,atof,atoi,cosh,fmod,sinh,sqrt,tanh,clamp,max,min,lerp,ftoa,itoa,RandomPick,
     Camera,ResolutionSizeを新規追加
   ・AssertSpecialにNoDisplayLifeBarとNoDisplayCounterを追加
   ・SprPriorityを拡張
   ・HitDefにSparkScaleを追加

●Beta -1版 2006/11/19 SofiyaCat
 更新履歴
  System関連
   ・ステージ定義ファイルにて、BGセクション名のみを記述した際、
     そのBGセクションが処理されない不具合を修正
   ・sin.xステージコントローラ及びsin.yステージコントローラの挙動を修正
   ・zoffsetlinkが設定されている場合にzoffsetの値がキャラクタ位置に反映され
     ていなかった不具合を修正
   ・animステージコントローラを実装
   ・sffファイルのパレット関連を修正
   ・キャプションを変更
   ・Exeのアイコンを追加。Thanks to DooM.
   ・キャラクタ定義ファイルのbinが省略された場合、defファイル名の拡張子を
     binに変えたファイルを読むように修正
   ・コマンド入力でボタンの処理が間違っていたのを修正
   ・カメラ処理でプレイヤのScreenEdgeの処理が間違っていたのを修正
   ・キャラクタセレクト画面でキャラクタのパレットが変になる場合があるのを修正
  ステートコントローラ
   ・Projectile
     ・時間による消滅の場合、消滅時の速度(RemVelocity)が設定されていなか
       った不具合を修正
     ・palfx.sinadd, palfx.invertall,palfx.colorプロパティを実装
     ・バインドしている間、ランダムプロパティが機能していなかったのを修正
   ・HitDef
     ・ForceStand,HitOnce, fall.recover, fall.recovertime, priority,
       getpower, givepower, snap, ground.cornerpush. veloff, air.cornerpush.veloff,
       guard.cornerpush.veloff, airguard.cornerpush.veloff, down.cornerpush.veloff,
       p1getp2facing, p2getp1state, mindist, maxdist, chainID, NoChainID,
       down.hittime, fall.animtype, palfx.sinadd, palfx.invertall,
       palfx.color,down.bounce,air.juggleプロパティ を実装
   ・HitAddでHitCountを増やした場合、コンボ表示に反映されていなかった不具合を修正
   ・HitFallDamageでダメージの計算が間違っていたのを修正
   ・WidthでEdgeプロパティ,playerプロパティの処理が間違っていたのを修正
   ・VarRandomで、負の範囲を指定した場合正常に動作していなかったのを修正
   ・AssertSpecialのNoJuggleCheck,NoKOを実装
  トリガ
   ・InGuardDist,ProjCancelTime,ProjContact,ProjContactTime,ProjGuarded
     ProjGuardedTime,ProjHit,ProjHitTime,MatchOver,MatchNo,CanRecover,GetHitVarを実装
   ・GroupNo,SpriteNo,GetStageVarを新規追加
   ・var、fvar,sysvar,sysfvarで使えるインデックスを0から127までに拡張
  core.cns
   ・タイプミスを修正 orz
   ・ステージのautoturnに対応
  StConv.exe
   ・GroupNo,SpriteNoを新規追加
   ・BindToTargetステートコントローラ、posプロパティの第3引数、feetも
     許可するように修正
   ・Constファイルで最後の行が処理されないことがあるのを修正
   ・GetStageVarトリガを新規追加
   ・AssertSpecialステートコントローラにNoKOを記述できるように修正
   ・HelperステートコントローラのHelperTypeに'proj'を記述できるように修正
   ・HitDefステートコントローラにpalfx.sinadd, palfx.invertall and palfx.colorを追加
   ・Projectileステートコントローラにpalfx.sinadd, palfx.invertall and palfx.colorを追加
   ・TagIn, TagOutステートコントローラを追加
   ・GetHitVarトリガのパラメータに、fall.time and fall.envshake.dirを追加

●Beta -2版 2006/10/15 SofiyaCat
 更新履歴
  System関連
   ・select.def、キャラクタの登録でキャラクタのみ記述した場合、
     キャラクタの登録がされない不具合を修正。
   ・sffファイルでスプライトがリンクされていた場合の処理がまちがって
     いたのを修正
   ・sffファイルのパレット関連を修正
   ・ラウンド制御を実装
   ・SuperPause等で画面が暗くなっているときにESCキーでゲームを終了すると
     メニューなどの描画が暗くなる不具合を修正
   ・キャラクタ選択時カーソルが空の位置にあった場合、カーソルが移動でき
     なかった不具合を修正
   ・ラウンド開始時にSEをすべて停止するように修正
   ・airファイルのHフラグ(左右反転)でコリジョンも反転していた不具合を修正
   ・comboの表示をやや修正
   ・Hit時相手のTimeを-1から始めるように修正
   ・ChangeStateステートコントローラにて同じステートに遷移した場合、
     Timeを-1から始めるように修正
   ・「Alt + Enter」でウインドウモードとフルスクリーンモードを切り替え
     できるように
   ・プレイヤプッシュ処理で無限ループに陥るのを修正
   ・少し最適化(コマンド解析部分、描画部分)
   ・フレームレート制御処理を追加
   ・「ARCADE」「VS MODE」「TEAM ARCADE」「TEAM VS」「TEAM CO-OP」
     「TRAINING」「WATCH」モードが少し動くように
   ・NETWORK部分のラグを軽減してみたつもり(テスト中)
   ・NETWORK対戦でホスト側の選択したステージデータを使うようにした。
     ステージデータは対戦相手と同じにしなくてよくなります。
   ・コリジョンチェックにて無効なコリジョンをチェックしてしまう不具合を
     修正。
   ・Windows版 SDL-1.2.11にライブラリを変更,SDL_mixerを1.2.7に変更
  トリガ
   ・StageName,StageAuthorName,MotifName,MotifAuthorNameを新規追加
   ・RoundNo,RoundsExisted,P3Name,P4Name,TicksPerSecondを実装
   ・IsHomeTeamでNetworkモードのときSFalseを返していた不具合を修正
   ・HitCountが正常に加算されていなかった不具合を修正
  ステートコントローラ
   ・AssertSpecial
     ・NoKOSnd,NoKOSlow,NoMusicに対応
   ・RootVarAdd,RootVarSetを新規追加
   ・Width
     ・プレイヤプッシュの処理が正しく行われない場合があったのを修正
   ・ModifyExplod
     ・Facingプロパティが正常に更新されていなかったのを修正
  core.cns
   ・しゃがみ状態で死んだときに、5050ステートへ行くように修正
   ・しゃがみ状態でラウンドを終了したとき立つように修正
   ・ラウンド終了時、AIを動かないように修正
  StConv.exe
   ・StageName,StageAuthorName,MotifName,MotifAuthorNameを新規追加
   ・RootVarAdd,RootVarSetを新規追加
   ・Widthステートコントローラでvalueプロパティの第２パラメータが省略された場合
     エラーになっていたのを修正
   ・FilesセクションでのStファイル指定で「ST0」も有効にした
     Stファイルの処理順はcore.cns → stcommon → cmd → st → st0 → st1 → ...

●Beta -3版 2006/09/24 SofiyaCat
 更新履歴
  System関連
   ・1つのステートで実行しているステートコントローラが
     129個以上の場合、メモリを破壊していたのを修正
     上限を256個にした。
   ・キャラクタのスケーリング(sizeセクションのxscale,yscale)を実装
   ・HelperがProjectileを作成した場合の所有者をrootキャラクタに修正
   ・Hit/GuardエフェクトのスプライトプライオリティをONTOP属性に
   ・プレイヤプッシュ処理でキャラクタのsize.heightを考慮するように修正
   ・くらい矩形がない場合は、プレイヤプッシュの処理を行わないように修正
     こういう仕様みたい。
   ・スクリプト文字列リテラルの最後の要素の文字数が偶数だった場合、
     スクリプトの読み込みに失敗する致命的不具合を修正 orz
   ・カメラの位置計算をキャラクタのEdgeで行うように修正
   ・キャラクタの位置補正を内部で行うように修正
   ・system.defのlogo,intro,キャラクタのintroのストーリーボードを実装
   ・キャラクタセレクト時のportrait.offset,portrait.scaleを実装
   ・各定義ファイルのセクション、プロパティで大文字小文字区別していたの
   　を区別しないように変更
   ・背景描画時にWorldToScreenみたいな行列を初期化するように修正
   ・fight.def関連を少し実装
   ・target関連の内部処理を修正
     以前は、自分のMoveTypeがIになるとリセットしていたのを、相手の
     MoveTypeがH以外になるとリセットするようにした。
   ・コマンド入力処理を大幅に変更
   ・Network対戦を実験で入れてみた
   ・Simulでのプレイヤ人数を２人から最大４人までに変更
   ・Intro、Title、StoryBoard、StageなどBGM再生を実装
     ただし、SDL_mixerで対応している形式のみ再生できます。
     ※OS/2版はmp3に対応していません。(SDL_mixerが未対応なので)
   ・死んでたらプレイヤープッシュの処理をしないように修正
   ・KO時の処理を実装
   ・comboの表示を少し実装
  core.cns
   ・キャラクタの位置補正をプログラム内部で行うように変更したので
     その部分の処理を削除
   ・physicsがAの場合の処理を修正
   ・30分で作成、30分で調整な、超手抜きなAIを入れてみる
  トリガ関連
   ・HitCountを実装
   ・UniqHitCountを実装
   ・GetHitVar
     ・RecoverTimeを修正
       ・攻撃を受けるとリセットしていたRecoverTimeをL状態のときは
         リセットしないように修正
       ・L状態以外でカウントダウンしていたのを、L状態でのみカウント
         ダウンするように修正
   ・Commandを実装
   ・AnimElemTimeで範囲外のエレメントが指定された場合、ドキュメントでは
     SFalseを返すようになっているが、それだと正常に動作しない場合がある
     ので1を返すように修正
   ・TeamModeを実装
   ・DrawGameを実装
   ・Loseを実装
   ・LoseKOを実装
   ・LoseTimeを実装
   ・Winを実装
   ・WinKOを実装
   ・WinTimeを実装
   ・WinPerfectを実装
  ステートコントローラ
   ・Projectile
     ・反射、AfterImage、影描画を実装
     ・PosTypeプロパティのFRONT,BACK,LEFT,RIGHTを実装
     ・キャラクタ/ヘルパのsize.proj.doscaleがスケールに反映していな
       かったのを修正
   ・Helper
     ・size.xscale,size.yscale,ownpal,
       size.head.pos,size.mid.pos,
       size.proj.doscaleプロパティを実装
     ・size.ground.back,size.ground.front,size.air.back,size.air.front
       プロパティが親から値を引き継いでいなかったのを修正
     ・size.heightプロパティは親から引き継ぐようにドキュメントには書い
       てあるが、引き継がないようにしデフォルトを0にした。(要調査)
   ・Explod
     ・ownpalプロパティを実装
     ・RemoveOnGetHitプロパティの処理を修正
   ・ModifyExplod
     ・親が自分のもののみ変更するように修正
     ・anim,removetime,supermove,supermovetime,pausemovetime,shadow,
       removeongethit,ignorehitpause,transプロパティを実装
   ・ExplodBindTime
     ・親が自分のもののみ変更するように修正
     ・システムが作成したExplodも変更していた不具合を修正
   ・EnvColorを実装
   ・AllPalFxを実装
   ・BGPalFxを実装
   ・PalFxを実装
   ・GameMakeAnim
     ・エフェクトのスプライトプライオリティをONTOP属性に
   ・MakeDust
     ・エフェクトのスプライトプライオリティをONTOP属性に
     ・Spacingプロパティを実装
   ・Width
     ・Edgeプロパティが反映されていなかった不具合を修正
   ・ScreenBoundを実装
   ・PlayePushでヘルパでもValueを1にするとプレイヤプッシュ処理を行うよ
     うに修正
   ・HitByを実装
   ・HitOverrideを実装
   ・NotHitByでattrの第２パラメータ「A」の扱いが間違っていたのを修正
   ・SuperPause
     ・pausebgプロパティを処理するように修正
   ・HitDef
     ・PalFx.time/PalFx.mul/PalFx.addプロパティを実装
     ・p2facingプロパティの挙動が間違っていたのを修正
   ・AssertSpecial
     ・nokosnd,nokoslowを実装
  StConv.exe
   ・Projectileステートコントローラのground.typeとair.typeプロパティ
     の処理が間違っていたのを修正
   ・ReversalDefステートコントローラのプロパティの処理が駄目だったの
     を修正
   ・SuperPauseステートコントローラでpausebgとendcmdbuftimeプロパティ
     を許すように修正
   ・IsAIトリガー、SetCommandステートコントローラを新規追加

●Alpha版 2006/08/13 SofiyaCat

 System関連
  ・HitDefでStateNoが変わる時のスクリプト実行順番を修正
  ・Powerが初期化されてなかったのを修正
  ・BG描画
   ・Normalタイプ,Spriteタイプの描画でmaskプロパティの扱いが
     間違っていたのを修正
   ・BGのanimタイプのクリッピング処理を修正
   ・transプロパティがadd,subなどの場合のmaskプロパティの
     デフォルトを1に。
  ・タイトル画面
   ・タイトル画面でMenuテキストが空だった場合の処理を修正
   ・フォントの位置あわせが反映されていなかったのを修正
  ・Option設定画面からもどれなかったのを修正
  ・ARCADE,VS MODEなどのキャラクタ選択をなんとなく動くように
    ただ、2P側の入力部分を作ってないので、2Pの操作はできない。
  ・ファイルの１行目が処理されていなかったのを修正
  ・キャプチャのキーを変更、連続キャプチャモード追加
     Selectキー押下でキャプチャ
     Startキーを押しながらSelectキーで連続キャプチャモード
     のOn,Off(ムービー作成に便利かも)
  ・コマンド処理のメモリーリークを修正
  ・今までプレイヤしか攻撃判定をしていなかったのをヘルパに
    もやるように修正
  ・StateDef時のSprPriorityを実装
 ステージ関連
  ・BGのdummyタイプに対応
  ・sin.x/sin.yを実装
  ・zoffsetlinkに対応
  ・同じセクション内にプロパティが複数定義されている場合
    最初に定義されたものを有効に
 ステートコントローラ
  ・BindToTarget
   ・位置(HEAD,MID,FOOT)の指定が反映されていなかったのを修正
  ・HitDef
   ・P1Facing,P2Facingに対応
  ・AssertSpecial
   ・noBG、noFGに対応
  ・AttackMulSetを実装
  ・DefenceMulSetを実装
  ・MakeDustを少し実装
  ・GameMakeAnimを実装
  ・ExplodでRemoveTimeが1の時、描画されていなかったのを修正
  ・ExplodのSprPriorityプロパティ、OnTopプロパティを実装
  ・ModifyExplodのOnTopプロパティを実装
  ・RemoveExplodで親が自分のもののみを削除するように修正
  ・SprPriorityを実装
  ・ProjectileのProjSprPriorityを実装
 トリガ関連
  ・NumExplodで親が自分のもののみ数えるように修正
 core.cns
  ・physicsがAirの時の処理(着地の時の処理)を前処理から後処理に移動
    RUN_BACK2(land)(ステート106)が実行されていなかったのが修正

●Alpha -1版 2006/07/09 SofiyaCat

 System関連
  ・キャラクタの反射、影の描画を修正
  ・キャラクタ描画でエフェクト効果が反映されていなかったのを修正
  ・キャラクタ、ヘルパの影描画時にshadowoffsetを反映するように
  ・ヘルパの影サイズが初期化されていなかったのを修正
  ・Hitboxの座標計算を修正
  ・攻撃を受けた時の処理を変更
  ・target,partnerリダイレクションを実装
  ・リダイレクションの処理が一部間違っていたのを修正
  ・statedefのmovehitpersistを実装
  ・HitPause中にtime,movehit,movecontact,moveguaredが進んでいたのを修正
  ・ヘルパでvar,fvarが初期化されていなかったのを修正
  ・1フレームで実行するスクリプトの最大ステップ数を2048に
  ・SuperPauseとPauseステートコントローラ用の処理を追加
  ・fight.defのfightfx.air/fightfx.sffを読み込むように
  ・airファイルの構文解析でClsnのみしか記述が無い場合の処理を追加
  ・攻撃を受けた場合、サウンドの0チャンネルを停止するように修正
  ・ヘルパ作成時のスクリプト実行タイミングを修正
 コアスクリプト(core.cns)
  ・Liedown状態からの復帰処理を追加
  ・ScreenEdgeの処理を追加
  ・ScreenBoundの処理を追加
 トリガ関連
  ・AnimExist,SelfAnimExistを実装
  ・BackEdgeBodyDist
    ・返値の型をfloat型からint型に変更
  ・BackEdgeDist
    ・BackEdgeBodyDistと同じ挙動に変更
  ・FrontEdgeBodyDist
    ・返値の型をfloat型からint型に変更
  ・FrontEdgeDist
    ・FrontEdgeBodyDistと同じ挙動に変更
  ・P2BodyDist X
    ・返値の少数部分を切り捨てするように修正
  ・P2Dist X
    ・返値の少数部分を切り捨てするように修正
  ・PalNoを実装
  ・RootDist X
    ・向きを考慮していなかったのを修正
  ・NumProjを実装
  ・NumTargetを実装
  ・NumEnemyを実装
  ・NumPartnerを実装
  ・アニメの時間関連のトリガを修正
   ・animelemを修正
   ・animelemnoを修正
   ・animelemtimeを修正
   ・animtimeを修正
  ・HitOverを実装
  ・HitPauseTimeを実装
  ・HitShakeOverを実装
  ・HitVel Xを実装
  ・HitVel Yを実装
 ステートコントローラ
  ・AfterImage
   ・残像の数を修正
  ・AppendToClipboardを実装
  ・AssertSpecial
   ・timerfreeze,globalnoshadow,nostandguard,nocrouchguard,
     noairguard,unguardableに対応
  ・BindToParentを実装
  ・BindToRootを実装
  ・BindToTargetを実装
  ・ChangeAnimのElemプロパティを実装
  ・ChangeAnim2を実装
  ・DisplayClipboardを実装
  ・EnvShakeを実装
  ・Explod
   ・SuperMove,SuperMoveTime,RemoveOnGetHit,IgnoreHitPause
     PauseMoveTime,Shadowを実装
   ・velプロパティが無効だったのを修正
  ・Helper
   ・PauseMoveTime,SuperMoveTimeを実装
  ・HitAddを実装
  ・HitFallDamageを実装
  ・HitFallSetを実装
  ・HitVelSetを実装
  ・ModifyExplodを少し実装
   ・Scale,Pos,PosType,BindTime,SprPriority,Facing,
     VFacing,Velocity,Accelのみ
  ・MoveHitResetを実装
  ・NotHitByを実装
  ・Pauseを少し実装
  ・PlaySndを実装(freqmulは諦めです)
  ・Projectile
    ・HitDef関連以外を少し実装
  ・ScreenBoundを実装
  ・SelfStateを実装
  ・SndPanを実装
  ・SndStopを実装
  ・SuperPauseを実装
  ・TargetBindを実装
  ・TargetDropを実装
  ・TargetFacingを実装
  ・TargetLifeAddを実装
  ・TargetPowerAddを実装
  ・TargetStateを実装
  ・TargetVelAddを実装
  ・TargetVelSetを実装
  ・Transを実装
 StConv.exe
  ・CNSファイルでS付き数字があるとエラーになっていたのを修正
  ・DEFファイルでFILESセクションにBINがあるとエラーになっていた
    のを修正
  ・AnimElemの構文解析の優先順位が間違っていたのを修正
   「TRIGGER1 = ANIMELEM = 3 , >= 0 && ANIMELEM = 4 , < 0」が
   「TRIGGER1 = ANIMELEM = 3 , >= (0 && ANIMELEM = 4 , < 0)」
   「TRIGGER1 = ANIMELEM = 3 && ANIMELEM = 4」が
   「TRIGGER1 = ANIMELEM = (3 && ANIMELEM = 4)」と解釈されていた。
  ・ProjContactの構文解析の優先順位が間違っていたのを修正
  ・ProjGuardedの構文解析の優先順位が間違っていたのを修正
  ・ProjHitの構文解析の優先順位が間違っていたのを修正
  ・SuperPause
    ・SuperPauseのsoundプロパティで第２パラメータが省略された
      場合にエラーになっていたのを修正
    ・MoveTimeプロパティを追加
  ・TimeModの構文解析の優先順位が間違っていたのを修正

●Alpha -2版 2006/06/11 SofiyaCat

  System関連
   ・ゲーム中のカメラの動きを少しまともに
     キャラクタ移動範囲の制限は未対応
   ・プレイヤの向きをキー入力に反映
   ・ステージの疑似ラスタ描画を修正
     まだ難有り
   ・ステージのコントローラをやや実装
     SinX,SinYには非対応
   ・プレイヤプッシュを適当に
   ・Helperでキーコントロールが有効な場合State-1を実行するように
     修正
   ・ChangeStateステートコントローラで同じステートに変更した場合、
     StateDefのみを実行し処理を中断するように変更
   ・Helperでステージの反射、影のパラメータが反映されていなかった
     のを修正
   ・IgnoreHitPauseを実装
  コアスクリプト(core.cns)
   ・立ち、しゃがみ状態のときの速度の摩擦処理を修正
     Vel Xが1未満のときは0にし、摩擦係数の計算を修正
  ステートコントローラ
   ・Turn
    ・vel xが反転されていなかったのを修正
   ・VarSet,ParentVarSet
    ・新しいフォーマット形式のVarの設定で、FVarを設定していたの
      を修正
   ・AngleDraw
    ・valueプロパティを指定すると落ちるのを修正
    ・値をラジアンで処理していたのを修正
   ・AngleSet
    ・値をラジアンで処理していたのを修正
   ・AngleAdd
    ・値をラジアンで処理していたのを修正
   ・Explod
    ・postype,pos,facingを修正
    ・transのaddplhaが機能していなかったのを修正
   ・Helper
    ・postypeがrightのときの挙動を修正
   ・Offset
    ・実装/未テスト
   ・FrontEdgeBodyDist,FrontEdgeDist,BackEdgeBodyDist,BackEdgeDist
    ・実装/未テスト
  トリガ関連
   ・TimeMod
    ・全然駄目だったのを修正
   ・ProjContact
    ・スクリプト解析部分が致命的に間違っていたのを修正
   ・ProjGuarded
    ・スクリプト解析部分が致命的に間違っていたのを修正
   ・ProjHit
    ・スクリプト解析部分が致命的に間違っていたのを修正
  StConv.exe
   ・ステータスファイルの最後の行が変換されないときがあるのを
     修正
   ・ステート番号を16bitで扱っていたのを32bitに変更
   ・PorjHit,ProjContact,ProjGuardedでIDを省略したときエラーに
     なっていたのを修正
   ・WidthステートコントローラでEdgeの第二パラメータを省略した
     場合にエラーになっていたのを修正
   ・AnimTypeプロパティにMiddleを許すように

●Alpha -3版 2006/05/26 SofiyaCat

 とりあえず公開
